# Check quality encoding

`check_encoding.Rd`

Check quality encoding

    check_encoding(x = NULL, custom = NULL)

## Arguments

x | Quality values
custom | custom encoding from the following: 'Sanger' --------> expected range: [0, 40] 'Illumina1.8' --------> expected range: [0, 41] 'Illumina1.5' --------> expected range: [0, 40] 'Illumina1.3' --------> expected range: [3, 40] 'Solexa' --------> expected range: [-5, 40]

## Value

List with encoding information

## Examples

    require(Biostrings)

    x <- list(PhredQuality(0:40), SolexaQuality(-5:40), IlluminaQuality(3:40))
    x <- lapply(x, function(i)utf8ToInt(as.character(i)[1]))
    lapply(x, check_encoding)#> [[1]]
    #> [[1]]$x
    #> [1] "Sanger"
    #>
    #> [[1]]$y
    #> [1] 1
    #>
    #> [[1]]$q
    #> [1] 33
    #>
    #> [[1]]$range
    #> [1] "[33 - 73]"
    #>
    #>
    #> [[2]]
    #> [[2]]$x
    #> [1] "Solexa"
    #>
    #> [[2]]$y
    #> [1] 5
    #>
    #> [[2]]$q
    #> [1] 64
    #>
    #> [[2]]$range
    #> [1] "[59; 104]"
    #>
    #>
    #> [[3]]
    #> [[3]]$x
    #> [1] "Illumina 1.5+"
    #>
    #> [[3]]$y
    #> [1] 3
    #>
    #> [[3]]$q
    #> [1] 64
    #>
    #> [[3]]$range
    #> [1] "[66; 104]"
    #>
    #>
    SolexaQuality(0:40)#>   A SolexaQuality instance of length 1
    #>     width seq
    #> [1]    41 @ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghIlluminaQuality(0:40)#>   A IlluminaQuality instance of length 1
    #>     width seq
    #> [1]    41 @ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefgh